function Acolyte:CreateNightFall()

-- Frame erstellung
	if (AcolyteDB.NightFallEnabled == true) then
				Acolyte_NightFallButton = CreateFrame("Button", "Acolyte_NightFallButton", UIParent, "SecureActionButtonTemplate");
			Acolyte_NightFallButton:SetFrameStrata("HIGH")
			Acolyte_NightFallButton:SetWidth(32)
			Acolyte_NightFallButton:SetHeight(32)
			Acolyte_NightFallButton:SetMovable(true)
			Acolyte_NightFallButton:EnableMouse(true)
			Acolyte_NightFallButton:RegisterForDrag("LeftButton");
			Acolyte_NightFallButton:RegisterForClicks("RightButtonDown", "LeftButtonDown")
			Acolyte_NightFallButton:SetScale(AcolyteDB.Scale);
				Acolyte_NightFallButtonTexture = Acolyte_NightFallButton:CreateTexture(nil,"HIGH")
			Acolyte_NightFallButtonTexture:SetTexture("Interface\\AddOns\\Acolyte\\Images\\NightFall")
			Acolyte_NightFallButtonTexture:SetAllPoints(Acolyte_NightFallButton)
			Acolyte_NightFallButton.texture = Acolyte_NightFallButtonTexture
			Acolyte_NightFallButton:SetPoint("CENTER",Acolyte:getParent(ButtonsCreated, lastParent),"CENTER",LayoutPosition[ButtonsCreated].x,LayoutPosition[ButtonsCreated].y)
			Acolyte_NightFallButton:Show()

		Acolyte_NightFall_Main = CreateFrame("Frame", "Acolyte_NightFall_Main", UIParent);
			Acolyte_NightFall_Main:SetFrameStrata("HIGH")
			Acolyte_NightFall_Main:SetWidth(1280/UIParent:GetEffectiveScale())
			Acolyte_NightFall_Main:SetHeight(1024/UIParent:GetEffectiveScale())
		Acolyte_NightFall_MainTexture = Acolyte_NightFall_Main:CreateTexture(nil,"HIGH")
			Acolyte_NightFall_MainTexture:SetTexture("Interface\\AddOns\\Acolyte\\Images\\flash2")
			Acolyte_NightFall_MainTexture:SetAllPoints(Acolyte_NightFall_Main)
			Acolyte_NightFall_MainTexture:SetVertexColor(1, 0, 0.8)
			Acolyte_NightFall_MainTexture:SetAlpha(0.5)
			Acolyte_NightFall_Main.texture = Acolyte_NightFall_MainTexture
			Acolyte_NightFall_Main:SetPoint("CENTER")

			Acolyte_NightFall_Main:Hide()

		local Acolyte_NightFall_Icon = CreateFrame("Frame", "Acolyte_NightFall_Icon", UIParent);
			Acolyte_NightFall_Icon:SetFrameStrata("HIGH")
			Acolyte_NightFall_Icon:SetWidth(50)
			Acolyte_NightFall_Icon:SetHeight(50)
		local Acolyte_NightFall_IconTexture = Acolyte_NightFall_Icon:CreateTexture(nil,"HIGH")
			Acolyte_NightFall_IconTexture:SetTexture("Interface\\Icons\\Spell_Shadow_Twilight")
			Acolyte_NightFall_IconTexture:SetAllPoints(Acolyte_NightFall_Icon)
			Acolyte_NightFall_Icon.texture = Acolyte_NightFall_IconTexture
			Acolyte_NightFall_Icon:SetPoint("CENTER")
			
			Acolyte_NightFall_Icon:Hide()
			
			lastParent = Acolyte_NightFallButton
			ButtonsCreated = ButtonsCreated +1
	end
end

function Acolyte:CHAT_MSG_SPELL_PERIODIC_SELF_BUFFS()
	if string.find(arg1, AcoLoc.ShadowTrance) then
			if (AcolyteDB.ChatWarning == true) then
				CHATFRAME:AddMessage(AcoLoc.NightFallProcced);
			end
			if (AcolyteDB.flashFrame == true) then 
				UIFrameFlash(Acolyte_NightFall_Main, 0.2, 0.8, 10, nil, 0.2, 0) 
			end
			if (AcolyteDB.showIcon == true) then
				Acolyte_NightFall_Icon:Show()
			end
	end
end 

function Acolyte:CHAT_MSG_SPELL_AURA_GONE_SELF()
	if string.find(arg1, AcoLoc.ShadowTrance) then
			if (AcolyteDB.flashFrame == true) then 
				UIFrameFlashRemoveFrame(Acolyte_NightFall_Main)
				UIFrameFadeRemoveFrame(Acolyte_NightFall_Main)
				UIFrameFadeOut(Acolyte_NightFall_Main, 0.8, Acolyte_NightFall_Main:GetAlpha(), 0) 
			end
			if (AcolyteDB.showIcon == true) then
				Acolyte_NightFall_Icon:Hide()
			end
	end
end

function Acolyte:PLAYER_DEAD()
		if (AcolyteDB.flashFrame == true) then
			UIFrameFlashRemoveFrame(Acolyte_NightFall_Main)
			UIFrameFadeRemoveFrame(Acolyte_NightFall_Main)
			UIFrameFadeOut(Acolyte_NightFall_Main, 0.8, Acolyte_NightFall_Main:GetAlpha(), 0)
		end
		if (AcolyteDB.showIcon == true) then
			Acolyte_NightFall_Icon:Hide()
		end
end 