
function Acolyte:LoadLayout()
	if (AcolyteDB.PopupDirection == "TOPLEFT") then 
		PopupLayout = {
			HealthStoneButton 	= {x=-170,y=115},
			DemonArmorButton 	= {x=-160,y=115},
			ImpButton 			= {x=-160,y=170},
		}
	elseif (AcolyteDB.PopupDirection == "TOPRIGHT") then
		 PopupLayout = {
			HealthStoneButton 	= {x=5,y=115},
			DemonArmorButton 	= {x=5,y=115},
			ImpButton 			= {x=5,y=170},
		}
	elseif (AcolyteDB.PopupDirection == "BOTTOMLEFT") then
		 PopupLayout = {
			HealthStoneButton 	= {x=-170,y=-28},
			DemonArmorButton 	= {x=-160,y=-28},
			ImpButton 			= {x=-160,y=-28},
		}
	elseif (AcolyteDB.PopupDirection == "BOTTOMRIGHT") then
		 PopupLayout = {
			HealthStoneButton 	= {x=5,y=-28},
			DemonArmorButton 	= {x=5,y=-28},
			ImpButton 			= {x=5,y=-28},
		}
	end
	
	if (AcolyteDB.ButtonsPerZeile == 1) then
		LayoutPosition = {
			[1] = {x=28,y=-14},
			[2] = {x=28,y=14},
			[3] = {x=28,y=42},
			[4] = {x=28,y=70},
			[5] = {x=28,y=98},
			[6] = {x=28,y=126},
			[7] = {x=28,y=154},
		}
	elseif  (AcolyteDB.ButtonsPerZeile == 2) then
		LayoutPosition = {
			[1] = {x=28,y=-14},
			[2] = {x=56,y=-14},
			[3] = {x=28,y=14},
			[4] = {x=56,y=14},
			[5] = {x=56,y=42},
			[6] = {x=28,y=42},
			[7] = {x=56,y=70},
		}
	elseif  (AcolyteDB.ButtonsPerZeile == 3) then
		LayoutPosition = {
			[1] = {x=28,y=-14},
			[2] = {x=56,y=-14},
			[3] = {x=84,y=-14},
			[4] = {x=28,y=14},
			[5] = {x=56,y=14},
			[6] = {x=84,y=14},
			[7] = {x=28,y=42},
		}
	elseif  (AcolyteDB.ButtonsPerZeile == 4) then
		LayoutPosition = {
			[1] = {x=28,y=-14},
			[2] = {x=56,y=-14},
			[3] = {x=84,y=-14},
			[4] = {x=112,y=-14},
			[5] = {x=28,y=14},
			[6] = {x=56,y=14},
			[7] = {x=84,y=14},
		}
	elseif  (AcolyteDB.ButtonsPerZeile == 5) then
		LayoutPosition = {
			[1] = {x=28,y=-14},
			[2] = {x=56,y=-14},
			[3] = {x=84,y=-14},
			[4] = {x=112,y=-14},
			[5] = {x=140,y=-14},
			[6] = {x=25,y=14},
			[7] = {x=56,y=14},
		}
	elseif  (AcolyteDB.ButtonsPerZeile == 6) then
		LayoutPosition = {
			[1] = {x=28,y=-14},
			[2] = {x=56,y=-14},
			[3] = {x=84,y=-14},
			[4] = {x=112,y=-14},
			[5] = {x=140,y=-14},
			[6] = {x=168,y=-14},
			[7] = {x=28,y=14},
		}
	elseif  (AcolyteDB.ButtonsPerZeile == 7) then
		LayoutPosition = {
			[1] = {x=28,y=-14},
			[2] = {x=56,y=-14},
			[3] = {x=84,y=-14},
			[4] = {x=112,y=-14},
			[5] = {x=140,y=-14},
			[6] = {x=168,y=-14},
			[7] = {x=196,y=-14},
		}
	end
end

function Acolyte:getParent(ButtonsCreatedX, lastParentX)
	Parent = Acolyte_MoveButton
	return Parent
end 

function Acolyte:ReloadLayout()

	Acolyte:LoadLayout()
	
	Acolyte:collectGarbage()
	
	ButtonsCreated = 1
	
	Acolyte:CreateMinnionSummoner()
	
end 

function Acolyte:collectGarbage()

	Acolyte:HideAllPopups()

	if Acolyte_MinionSummonButton then Acolyte_MinionSummonButton:Hide() end
	if Acolyte_MountButton then Acolyte_MountButton:Hide() end
	if Acolyte_NightFallButton then Acolyte_NightFallButton:Hide() end
	if Acolyte_RitualOfSummoningButton then Acolyte_RitualOfSummoningButton:Hide() end
	if Acolyte_SoulKeeperButton then Acolyte_SoulKeeperButton:Hide() end
	if Acolyte_DemonicArmorButton then Acolyte_DemonicArmorButton:Hide() end
	if Acolyte_StoneCreatorButton then Acolyte_StoneCreatorButton:Hide() end

	ImpButton = nil
	FelhunterButton = nil
	SuccubusButton = nil
	VoidwalkerButton = nil
	FelguardButton = nil
	EyeOfKilroggButton = nil
	MinionSummonBackground = nil
	ImpButtonOverlay = nil
	FelhunterButtonOverlay = nil
	SuccubusButtonOverlay = nil
	VoidwalkerButtonOverlay = nil
	FelguardButtonOverlay = nil
	EyeOfKilroggButtonOverlay = nil
	DemonArmorButton = nil
	SenseDemonsButton = nil
	UnendingBreathButton = nil
	DetectInvisibilityButton = nil
	SpellCasterBackground = nil
	DemonArmorOverlay = nil
	SenseDemonsOverlay = nil
	UnendingBreathOverlay = nil
	DetectInvisibilityOverlay = nil
	HealthStoneButton = nil
	SoulStoneButton = nil
	SpellStoneButton = nil
	FireStoneButton = nil
	StonesBackground = nil
	HealthStoneButtonOverlay = nil
	SoulStoneButtonOverlay = nil
	SpellStoneButtonOverlay = nil
	FireStoneButtonOverlay = nil
	
	Acolyte_MinionSummonButton = nil
	Acolyte_MountButton = nil
	Acolyte_NightFallButton = nil
	Acolyte_NightFall_Main = nil
	Acolyte_NightFall_Icon = nil
	Acolyte_RitualOfSummoningButton = nil
	Acolyte_SoulKeeperButton = nil
	Acolyte_DemonicArmorButton = nil
	Acolyte_StoneCreatorButton = nil
	
	PetFramesCreated = false
	SpellCasterCreated = false
	StoneCreatorCreated = false
	
end 
