function Acolyte:CreateMinnionSummoner()
	--
	--@desc: creating the Minion Button
	--
	if (AcolyteDB.MinionSummonerEnabled == true) then
			Acolyte_MinionSummonButton = CreateFrame("Button", "Acolyte_MinionSummonButton", UIParent, "SecureActionButtonTemplate")
		Acolyte_MinionSummonButton:SetFrameStrata("HIGH")
		Acolyte_MinionSummonButton:SetWidth(32)
		Acolyte_MinionSummonButton:SetHeight(32)
		Acolyte_MinionSummonButton:SetMovable(true)
		Acolyte_MinionSummonButton:EnableMouse(true)
		Acolyte_MinionSummonButton:RegisterForDrag("LeftButton")
		Acolyte_MinionSummonButton:RegisterForClicks("RightButtonDown", "LeftButtonDown")
		Acolyte_MinionSummonButton:SetScale(AcolyteDB.Scale)
			Acolyte_MinionSummonButtonTexture = Acolyte_MinionSummonButton:CreateTexture(nil,"HIGH")
		Acolyte_MinionSummonButtonTexture:SetTexture("Interface\\AddOns\\Acolyte\\Images\\SummonerButton")
		Acolyte_MinionSummonButtonTexture:SetAllPoints(Acolyte_MinionSummonButton)
		Acolyte_MinionSummonButton.texture = Acolyte_MinionSummonButtonTexture
		Acolyte_MinionSummonButton:SetPoint("CENTER",Acolyte:getParent(ButtonsCreated, lastParent),"CENTER",LayoutPosition[ButtonsCreated].x,LayoutPosition[ButtonsCreated].y)
		Acolyte_MinionSummonButton:SetScript("PostClick", function() Acolyte:MinionSummonDropDown() end)
		
		Acolyte_MinionSummonButton:Show()
		
		lastParent = Acolyte_MinionSummonButton
		ButtonsCreated = ButtonsCreated + 1
	end
	--@desc: function to create the next Button
	
	Acolyte:CreateMountSummoner()
end



function Acolyte:MinionSummonDropDown()


	if (not PetFramesCreated == true) then
	
		PetFramesCreated = true
		
		Acolyte:HideAllPopups()
		if (not UnitAffectingCombat("player")) then
		
		--
		--@desc: creating the Imp Button
		--
		ImpButton = CreateFrame("Button", "ImpButton", UIParent, "SecureActionButtonTemplate")
		ImpButton:SetFrameStrata("HIGH")
		ImpButton:SetWidth(32)
		ImpButton:SetHeight(32)
		ImpButtonTexture = ImpButton:CreateTexture(nil,"HIGH")
		ImpButtonTexture:SetTexture("Interface\\AddOns\\Acolyte\\Images\\Imp")
		ImpButtonTexture:SetAllPoints(ImpButton)
		ImpButton.texture = ImpButtonTexture
		ImpButton:SetPoint("CENTER",Acolyte_MinionSummonButton,PopupLayout.ImpButton.x,PopupLayout.ImpButton.y)
		ImpButtonFontString = ImpButton:CreateFontString(nil, "ARTWORK", "GameFontNormal")
		ImpButtonFontString:SetJustifyH("LEFT")
		ImpButtonFontString:SetPoint("TOPLEFT", ImpButton, "TOPLEFT", 30, -8)
		ImpButtonFontString:SetText(AcoLoc.SummonImp)
		if (not AcolyteDB.SpellDB.SummonImpAvailable == true) then R, G, B = 1, 0, 0 else R, G, B = 1, 1, 1 end
		ImpButtonFontString:SetTextColor(R,G,B)
		ImpButton:Show()
		
		ImpButtonOverlay = CreateFrame("Button","ImpButtonOverlay",UIParent, "SecureActionButtonTemplate")
		ImpButtonOverlay:RegisterForClicks("LeftButtonDown")
		ImpButtonOverlay:SetScript("PreClick", function(self)
		        self:SetAttribute("type1", "spell")
		        self:SetAttribute("spell1", AcoLoc.SummonImp)
		end)
		ImpButtonOverlay:SetScript("PostClick", function(self)
				Acolyte:HideAllPopups()
		end)
		ImpButtonOverlay:SetScript("OnEnter", function(self)
		        ImpButtonOverlay:SetAlpha(0.5)
		end)
		ImpButtonOverlay:SetScript("OnLeave", function(self)
		        ImpButtonOverlay:SetAlpha(0)
		end)
		
		ImpButtonOverlay:SetFrameStrata("DIALOG")
		ImpButtonOverlay:SetWidth(190)
		ImpButtonOverlay:SetHeight(30)
		ImpButtonOverlay:SetPoint("TOPLEFT", ImpButton, "TOPLEFT", -3, -2)
		ImpButtonOverlay:SetAlpha(0)
		ImpButtonOverlay:SetBackdrop({bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background",edgeFile = "Interface\\Tooltips\\UI-Tooltip-Border",edgeSize = 15 , insets = { left = 2, right = 2, top = 2, bottom = 2}})
		ImpButtonOverlay:Show()
		
		
		--
		--@desc: creating the Voidwalker Button
		--
		VoidwalkerButton = CreateFrame("Button", "VoidwalkerButton", UIParent, "SecureActionButtonTemplate")
		VoidwalkerButton:SetFrameStrata("HIGH")
		VoidwalkerButton:SetWidth(32)
		VoidwalkerButton:SetHeight(32)
		VoidwalkerButtonTexture = VoidwalkerButton:CreateTexture(nil,"HIGH")
		VoidwalkerButtonTexture:SetTexture("Interface\\AddOns\\Acolyte\\Images\\Voidwalker")
		VoidwalkerButtonTexture:SetAllPoints(VoidwalkerButton)
		VoidwalkerButton.texture = VoidwalkerButtonTexture
		VoidwalkerButton:SetPoint("CENTER",ImpButton,0,-28)
		VoidwalkerButtonFontString = VoidwalkerButton:CreateFontString(nil, "ARTWORK", "GameFontNormal")
		VoidwalkerButtonFontString:SetJustifyH("LEFT")
		VoidwalkerButtonFontString:SetPoint("TOPLEFT", VoidwalkerButton, "TOPLEFT", 30, -8)
		VoidwalkerButtonFontString:SetText(AcoLoc.SummonVoidwalker)
		if (not AcolyteDB.SpellDB.SummonVoidwalkerAvailable == true) then R, G, B = 1, 0, 0 else R, G, B = 1, 1, 1 end
		VoidwalkerButtonFontString:SetTextColor(R,G,B)
		VoidwalkerButton:Show()

		VoidwalkerButtonOverlay = CreateFrame("Button","VoidwalkerButtonOverlay",UIParent, "SecureActionButtonTemplate")
		VoidwalkerButtonOverlay:RegisterForClicks("LeftButtonDown")
		VoidwalkerButtonOverlay:SetScript("PreClick", function(self)
		        self:SetAttribute("type1", "spell")
		        self:SetAttribute("spell1", AcoLoc.SummonVoidwalker)
		end)
		VoidwalkerButtonOverlay:SetScript("PostClick", function(self)
				Acolyte:HideAllPopups()
		end)
		VoidwalkerButtonOverlay:SetScript("OnEnter", function(self)
		        VoidwalkerButtonOverlay:SetAlpha(0.5)
		end)
		VoidwalkerButtonOverlay:SetScript("OnLeave", function(self)
		        VoidwalkerButtonOverlay:SetAlpha(0)
		end)
		
		VoidwalkerButtonOverlay:SetFrameStrata("DIALOG")
		VoidwalkerButtonOverlay:SetWidth(190)
		VoidwalkerButtonOverlay:SetHeight(30)
		VoidwalkerButtonOverlay:SetPoint("TOPLEFT", VoidwalkerButton, "TOPLEFT", -3, -2)
		VoidwalkerButtonOverlay:SetAlpha(0)
		VoidwalkerButtonOverlay:SetBackdrop({bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background",edgeFile = "Interface\\Tooltips\\UI-Tooltip-Border",edgeSize = 15 , insets = { left = 2, right = 2, top = 2, bottom = 2}})
		VoidwalkerButtonOverlay:Show()

		

		--@desc: creating the Succubus Button
		SuccubusButton = CreateFrame("Button", "SuccubusButton", UIParent, "SecureActionButtonTemplate")
		SuccubusButton:SetFrameStrata("HIGH")
		SuccubusButton:SetWidth(32)
		SuccubusButton:SetHeight(32)
		SuccubusButtonTexture = SuccubusButton:CreateTexture(nil,"HIGH")
		SuccubusButtonTexture:SetTexture("Interface\\AddOns\\Acolyte\\Images\\Succubus")
		SuccubusButtonTexture:SetAllPoints(SuccubusButton)
		SuccubusButton.texture = SuccubusButtonTexture
		SuccubusButton:SetPoint("CENTER",VoidwalkerButton,0,-28)
		SuccubusButtonFontString = SuccubusButton:CreateFontString(nil, "ARTWORK", "GameFontNormal")
		SuccubusButtonFontString:SetJustifyH("LEFT")
		SuccubusButtonFontString:SetPoint("TOPLEFT", SuccubusButton, "TOPLEFT", 30, -8)
		SuccubusButtonFontString:SetText(AcoLoc.SummonSuccubus)
		if (not AcolyteDB.SpellDB.SummonSuccubusAvailable == true) then R, G, B = 1, 0, 0 else R, G, B = 1, 1, 1 end
		SuccubusButtonFontString:SetTextColor(R,G,B)
		SuccubusButton:Show()

		SuccubusButtonOverlay = CreateFrame("Button","SuccubusButtonOverlay",UIParent, "SecureActionButtonTemplate")
		SuccubusButtonOverlay:RegisterForClicks("LeftButtonDown")
		SuccubusButtonOverlay:SetScript("PreClick", function(self)
		        self:SetAttribute("type1", "spell")
		        self:SetAttribute("spell1", AcoLoc.SummonSuccubus)
		end)
		SuccubusButtonOverlay:SetScript("PostClick", function(self)
				Acolyte:HideAllPopups()
		end)
		SuccubusButtonOverlay:SetScript("OnEnter", function(self)
		        SuccubusButtonOverlay:SetAlpha(0.5)
		end)
		SuccubusButtonOverlay:SetScript("OnLeave", function(self)
		        SuccubusButtonOverlay:SetAlpha(0)
		end)
		
		SuccubusButtonOverlay:SetFrameStrata("DIALOG")
		SuccubusButtonOverlay:SetWidth(190)
		SuccubusButtonOverlay:SetHeight(30)
		SuccubusButtonOverlay:SetPoint("TOPLEFT", SuccubusButton, "TOPLEFT", -3, -2)
		SuccubusButtonOverlay:SetAlpha(0)
		SuccubusButtonOverlay:SetBackdrop({bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background",edgeFile = "Interface\\Tooltips\\UI-Tooltip-Border",edgeSize = 15 , insets = { left = 2, right = 2, top = 2, bottom = 2}})
		SuccubusButtonOverlay:Show()
		
		
		
		--@desc: creating the Felhunter Button
		FelhunterButton = CreateFrame("Button", "FelhunterButton", UIParent, "SecureActionButtonTemplate")
		FelhunterButton:SetFrameStrata("HIGH")
		FelhunterButton:SetWidth(32)
		FelhunterButton:SetHeight(32)
		FelhunterButtonTexture = FelhunterButton:CreateTexture(nil,"HIGH")
		FelhunterButtonTexture:SetTexture("Interface\\AddOns\\Acolyte\\Images\\Felhunter")
		FelhunterButtonTexture:SetAllPoints(FelhunterButton)
		FelhunterButton.texture = FelhunterButtonTexture
		FelhunterButton:SetPoint("CENTER",SuccubusButton,0,-28)
		FelhunterButtonFontString = FelhunterButton:CreateFontString(nil, "ARTWORK", "GameFontNormal")
		FelhunterButtonFontString:SetJustifyH("LEFT")
		FelhunterButtonFontString:SetPoint("TOPLEFT", FelhunterButton, "TOPLEFT", 30, -8)
		FelhunterButtonFontString:SetText(AcoLoc.SummonFelhunter)
		if (not AcolyteDB.SpellDB.SummonFelhunterAvailable == true) then R, G, B = 1, 0, 0 else R, G, B = 1, 1, 1 end
		FelhunterButtonFontString:SetTextColor(R,G,B)
		FelhunterButton:Show()
		
		FelhunterButtonOverlay = CreateFrame("Button","FelhunterButtonOverlay",UIParent, "SecureActionButtonTemplate")
		FelhunterButtonOverlay:RegisterForClicks("LeftButtonDown")
		FelhunterButtonOverlay:SetScript("PreClick", function(self)
		        self:SetAttribute("type1", "spell")
		        self:SetAttribute("spell1", AcoLoc.SummonFelhunter)
		end)
		FelhunterButtonOverlay:SetScript("PostClick", function(self)
				Acolyte:HideAllPopups()
		end)
		FelhunterButtonOverlay:SetScript("OnEnter", function(self)
		        FelhunterButtonOverlay:SetAlpha(0.5)
		end)
		FelhunterButtonOverlay:SetScript("OnLeave", function(self)
		        FelhunterButtonOverlay:SetAlpha(0)
		end)
		
		FelhunterButtonOverlay:SetFrameStrata("DIALOG")
		FelhunterButtonOverlay:SetWidth(190)
		FelhunterButtonOverlay:SetHeight(30)
		FelhunterButtonOverlay:SetPoint("TOPLEFT", FelhunterButton, "TOPLEFT", -3, -2)
		FelhunterButtonOverlay:SetAlpha(0)
		FelhunterButtonOverlay:SetBackdrop({bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background",edgeFile = "Interface\\Tooltips\\UI-Tooltip-Border",edgeSize = 15 , insets = { left = 2, right = 2, top = 2, bottom = 2}})
		FelhunterButtonOverlay:Show()
		
		
		--
		--@desc: creating the Felguard Button
		--
		FelguardButton = CreateFrame("Button", "FelguardButton", UIParent, "SecureActionButtonTemplate")
		FelguardButton:SetFrameStrata("HIGH")
		FelguardButton:SetWidth(32)
		FelguardButton:SetHeight(32)
		FelguardButtonTexture = FelguardButton:CreateTexture(nil,"HIGH")
		FelguardButtonTexture:SetTexture("Interface\\AddOns\\Acolyte\\Images\\Felguard")
		FelguardButtonTexture:SetAllPoints(FelguardButton)
		FelguardButton.texture = FelguardButtonTexture
		FelguardButton:SetPoint("CENTER",FelhunterButton,0,-28)
		FelguardButtonFontString = FelguardButton:CreateFontString(nil, "ARTWORK", "GameFontNormal")
		FelguardButtonFontString:SetJustifyH("LEFT")
		FelguardButtonFontString:SetPoint("TOPLEFT", FelguardButton, "TOPLEFT", 30, -8)
		FelguardButtonFontString:SetText(AcoLoc.SummonFelguard)
		if (not AcolyteDB.SpellDB.SummonFelguardAvailable == true) then R, G, B = 1, 0, 0 else R, G, B = 1, 1, 1 end
		FelguardButtonFontString:SetTextColor(R,G,B)
		FelguardButton:Show()

		FelguardButtonOverlay = CreateFrame("Button","FelguardButtonOverlay",UIParent, "SecureActionButtonTemplate")
		FelguardButtonOverlay:RegisterForClicks("LeftButtonDown")
		FelguardButtonOverlay:SetScript("PreClick", function(self)
		        self:SetAttribute("type1", "spell")
		        self:SetAttribute("spell1", AcoLoc.SummonFelguard)
		end)
		FelguardButtonOverlay:SetScript("PostClick", function(self)
				Acolyte:HideAllPopups()
		end)
		FelguardButtonOverlay:SetScript("OnEnter", function(self)
		        FelguardButtonOverlay:SetAlpha(0.5)
		end)
		FelguardButtonOverlay:SetScript("OnLeave", function(self)
		        FelguardButtonOverlay:SetAlpha(0)
		end)
		
		FelguardButtonOverlay:SetFrameStrata("DIALOG")
		FelguardButtonOverlay:SetWidth(190)
		FelguardButtonOverlay:SetHeight(30)
		FelguardButtonOverlay:SetPoint("TOPLEFT", FelguardButton, "TOPLEFT", -3, -2)
		FelguardButtonOverlay:SetAlpha(0)
		FelguardButtonOverlay:SetBackdrop({bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background",edgeFile = "Interface\\Tooltips\\UI-Tooltip-Border",edgeSize = 15 , insets = { left = 2, right = 2, top = 2, bottom = 2}})
		FelguardButtonOverlay:Show()
		

		--
		--@desc: creating the Eye of Kilrogg Button
		--
		EyeOfKilroggButton = CreateFrame("Button", "EyeOfKilroggButton", UIParent, "SecureActionButtonTemplate")
		EyeOfKilroggButton:RegisterForClicks("LeftButtonDown")
		--@note: before the click a spell will be bound to the button
		EyeOfKilroggButton:SetScript("PreClick", function(self)
		   self:SetAttribute("type1", "spell")
		   self:SetAttribute("spell1", AcoLoc.EyeOfKilrogg)
		end)
		--@note: close the popup on click
		EyeOfKilroggButton:SetScript("PostClick", function(self)
		Acolyte:HideAllPopups()
		end)
		EyeOfKilroggButton:SetFrameStrata("HIGH")
		EyeOfKilroggButton:SetWidth(32)
		EyeOfKilroggButton:SetHeight(32)
		EyeOfKilroggButtonTexture = EyeOfKilroggButton:CreateTexture(nil,"HIGH")
		EyeOfKilroggButtonTexture:SetTexture("Interface\\AddOns\\Acolyte\\Images\\EyeOfKilrogg")
		EyeOfKilroggButtonTexture:SetAllPoints(EyeOfKilroggButton)
		EyeOfKilroggButton.texture = EyeOfKilroggButtonTexture
		EyeOfKilroggButton:SetPoint("CENTER",FelguardButton,0,-28)
		EyeOfKilroggButtonFontString = EyeOfKilroggButton:CreateFontString(nil, "ARTWORK", "GameFontNormal")
		EyeOfKilroggButtonFontString:SetJustifyH("LEFT")
		EyeOfKilroggButtonFontString:SetPoint("TOPLEFT", EyeOfKilroggButton, "TOPLEFT", 30, -8)
		EyeOfKilroggButtonFontString:SetText(AcoLoc.EyeOfKilrogg)
		if (not AcolyteDB.SpellDB.EyeOfKilroggAvailable == true) then R, G, B = 1, 0, 0 else R, G, B = 1, 1, 1 end
		EyeOfKilroggButtonFontString:SetTextColor(R,G,B)
		EyeOfKilroggButton:Show()

		EyeOfKilroggButtonOverlay = CreateFrame("Button","EyeOfKilroggButtonOverlay",UIParent, "SecureActionButtonTemplate")
		EyeOfKilroggButtonOverlay:RegisterForClicks("LeftButtonDown")
		EyeOfKilroggButtonOverlay:SetScript("PreClick", function(self)
		        self:SetAttribute("type1", "spell")
		        self:SetAttribute("spell1", AcoLoc.EyeOfKilrogg)
		end)
		EyeOfKilroggButtonOverlay:SetScript("PostClick", function(self)
				Acolyte:HideAllPopups()
		end)
		EyeOfKilroggButtonOverlay:SetScript("OnEnter", function(self)
		        EyeOfKilroggButtonOverlay:SetAlpha(0.5)
		end)
		EyeOfKilroggButtonOverlay:SetScript("OnLeave", function(self)
		        EyeOfKilroggButtonOverlay:SetAlpha(0)
		end)
		
		EyeOfKilroggButtonOverlay:SetFrameStrata("DIALOG")
		EyeOfKilroggButtonOverlay:SetWidth(190)
		EyeOfKilroggButtonOverlay:SetHeight(30)
		EyeOfKilroggButtonOverlay:SetPoint("TOPLEFT", EyeOfKilroggButton, "TOPLEFT", -3, -2)
		EyeOfKilroggButtonOverlay:SetAlpha(0)
		EyeOfKilroggButtonOverlay:SetBackdrop({bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background",edgeFile = "Interface\\Tooltips\\UI-Tooltip-Border",edgeSize = 15 , insets = { left = 2, right = 2, top = 2, bottom = 2}})
		EyeOfKilroggButtonOverlay:Show()
		
		
		
		--@desc: creating the Background
		MinionSummonBackground = CreateFrame("Button","MinionSummonBackground",UIParent)
		MinionSummonBackground:SetFrameStrata("HIGH")
		MinionSummonBackground:SetWidth(195)
		MinionSummonBackground:SetHeight(177)
		MinionSummonBackground:SetPoint("TOPLEFT", ImpButton, "TOPLEFT", -5, 2)
		MinionSummonBackground:SetBackdrop({bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background",edgeFile = "Interface\\Tooltips\\UI-Tooltip-Border",edgeSize = 15 , insets = { left = 2, right = 2, top = 2, bottom = 2}})
		MinionSummonBackground:SetScript("PostClick", function(self)
			Acolyte:HideAllPopups()
		end)
		MinionSummonBackground:Show()
		end
	else
		if (not UnitAffectingCombat("player")) then
			ImpButton:Show()
			FelhunterButton:Show()
			SuccubusButton:Show()
			VoidwalkerButton:Show()
			FelguardButton:Show()
			EyeOfKilroggButton:Show()
			MinionSummonBackground:Show()
			ImpButtonOverlay:Show()
			FelhunterButtonOverlay:Show()
			SuccubusButtonOverlay:Show()
			VoidwalkerButtonOverlay:Show()
			FelguardButtonOverlay:Show()
			EyeOfKilroggButtonOverlay:Show()
		end
	end
end

--@desc: hide all frames
function Acolyte:HideMinionSummonerPopup()
	if (MinionSummonBackground) then
		ImpButton:Hide()
		FelhunterButton:Hide()
		SuccubusButton:Hide()
		VoidwalkerButton:Hide()
		FelguardButton:Hide()
		EyeOfKilroggButton:Hide()
		MinionSummonBackground:Hide()
		ImpButtonOverlay:Hide()
		FelhunterButtonOverlay:Hide()
		SuccubusButtonOverlay:Hide()
		VoidwalkerButtonOverlay:Hide()
		FelguardButtonOverlay:Hide()
		EyeOfKilroggButtonOverlay:Hide()
	end
end 