function Acolyte:CreateMountSummoner()
	-- Mountbutton
	if (AcolyteDB.MountSummonerEnabled == true) then
			Acolyte_MountButton = CreateFrame("Button", "Acolyte_MountButton", UIParent, "SecureActionButtonTemplate");
		Acolyte_MountButton:SetFrameStrata("HIGH")
		Acolyte_MountButton:SetWidth(32)
		Acolyte_MountButton:SetHeight(32)
		Acolyte_MountButton:SetMovable(true)
		Acolyte_MountButton:EnableMouse(true)
		Acolyte_MountButton:RegisterForDrag("LeftButton");
		Acolyte_MountButton:RegisterForClicks("RightButtonDown", "LeftButtonDown")
		Acolyte_MountButton:SetScale(AcolyteDB.Scale);
			Acolyte_MountButtonTexture = Acolyte_MountButton:CreateTexture(nil,"HIGH")
		Acolyte_MountButtonTexture:SetTexture("Interface\\AddOns\\Acolyte\\Images\\MountButton")
		Acolyte_MountButtonTexture:SetAllPoints(Acolyte_MountButton)
		Acolyte_MountButton.texture = Acolyte_MountButtonTexture
		Acolyte_MountButton:SetPoint("CENTER",Acolyte:getParent(ButtonsCreated, lastParent),"CENTER",LayoutPosition[ButtonsCreated].x,LayoutPosition[ButtonsCreated].y)

		--@note: before the click a spell will be bound to the button
		if (Acolyte:PlayerHasSpell(AcoLoc.SummonDreadsteed)) or (Acolyte:PlayerHasSpell(AcoLoc.SummonFelsteed)) then
			Acolyte_MountButton:SetScript("PreClick", function(self)
				if (not UnitAffectingCombat("player")) then
					self:SetAttribute("type1", "spell");
					self:SetAttribute("spell1", Acolyte:getMountSpell());
				end
			end);
		end
		
		Acolyte_MountButton:Show()

		lastParent = Acolyte_MountButton
		ButtonsCreated = ButtonsCreated + 1
	end
	
	Acolyte:CreateRitualofSummoning()
end 

function Acolyte:getMountSpell()
	if Acolyte:PlayerHasSpell(AcoLoc.SummonDreadsteed) then
		return AcoLoc.SummonDreadsteed
	elseif Acolyte:PlayerHasSpell(AcoLoc.SummonFelsteed) then
		return AcoLoc.SummonDreadsteed
	end
end 