function Acolyte:CreateRitualofSummoning()
	--@desc: creating the Ritual of Summoning Button
	if (AcolyteDB.RitualOfSummoningEnabled == true) then
			Acolyte_RitualOfSummoningButton = CreateFrame("Button", "Acolyte_RitualOfSummoningButton", UIParent, "SecureActionButtonTemplate");
		Acolyte_RitualOfSummoningButton:SetFrameStrata("HIGH")
		Acolyte_RitualOfSummoningButton:SetWidth(32)
		Acolyte_RitualOfSummoningButton:SetHeight(32)
		Acolyte_RitualOfSummoningButton:SetMovable(true)
		Acolyte_RitualOfSummoningButton:EnableMouse(true)
		Acolyte_RitualOfSummoningButton:RegisterForDrag("LeftButton");
		Acolyte_RitualOfSummoningButton:RegisterForClicks("RightButtonDown", "LeftButtonDown")
		Acolyte_RitualOfSummoningButton:SetScale(AcolyteDB.Scale);
			Acolyte_RitualOfSummoningButtonTexture = Acolyte_RitualOfSummoningButton:CreateTexture(nil,"HIGH")
		Acolyte_RitualOfSummoningButtonTexture:SetTexture("Interface\\AddOns\\Acolyte\\Images\\RitualOfSummoningButton")
		Acolyte_RitualOfSummoningButtonTexture:SetAllPoints(Acolyte_RitualOfSummoningButton)
		Acolyte_RitualOfSummoningButton.texture = Acolyte_RitualOfSummoningButtonTexture
		Acolyte_RitualOfSummoningButton:SetPoint("CENTER",Acolyte:getParent(ButtonsCreated, lastParent),"CENTER",LayoutPosition[ButtonsCreated].x,LayoutPosition[ButtonsCreated].y)

		Acolyte_RitualOfSummoningButton:Show()
		
			Acolyte_RitualOfSummoningButton:SetScript("PreClick", function(self)
				if (not UnitAffectingCombat("player")) then
				   self:SetAttribute("type1", "spell");
				   self:SetAttribute("spell1", AcoLoc.RitualOfSummoning);
				end
			end);
			
		lastParent = Acolyte_RitualOfSummoningButton
		ButtonsCreated = ButtonsCreated +1
	end
	
	Acolyte:CreateSpellCaster()
end 

function Acolyte:UNIT_SPELLCAST_SUCCEEDED()
	if string.find(arg2, AcoLoc.RitualOfSummoning) then
		if (not UnitExists("target") ) then
			CHATFRAME:AddMessage(AcoLoc.noTarget);
		else
		local Name = UnitName("target"); --@desc: get name of the target
		local RndMsg = math.random(1,3); --@desc: generates random number from 1 to 3

		--@desc: dependent on var RndMsg a summoning message will be send to the raid
		if (RndMsg == 1) then
		    MsgPart1 = AcoLoc.Pleasehelpwithmewithsummoning
		    MsgPart2 = AcoLoc.selfclickableportalsnotuntilnextpatch
		elseif (RndMsg == 2) then
		    MsgPart1 = AcoLoc.Iamsummoning
		    MsgPart2 = AcoLoc.clickingtheportalgivespresents
		elseif (RndMsg == 3) then
		    MsgPart1 = AcoLoc.Imsummoning
		    MsgPart2 = AcoLoc.clicktheportalDOITDOIT
		end

		if (UnitInRaid("player")) then --@note: if Raid then
			MsgZiel = "RAID" 
		elseif UnitInParty("player") and (not UnitInRaid("player")) then --@note: if Party then
			MsgZiel = "PARTY"
		end

		SendChatMessage(MsgPart1..Name..MsgPart2, MsgZiel); --@desc: send the messages to the Raid or Party chat

		end
	end
end

