function Acolyte:CreateSoulKeeper()

	if (AcolyteDB.SoulKeeperEnabled == true) then
			Acolyte_SoulKeeperButton = CreateFrame("Button", "Acolyte_SoulKeeperButton", UIParent)
		Acolyte_SoulKeeperButton:SetFrameStrata("HIGH")
		Acolyte_SoulKeeperButton:SetWidth(32)
		Acolyte_SoulKeeperButton:SetHeight(32)
		Acolyte_SoulKeeperButton:SetMovable(true)
		Acolyte_SoulKeeperButton:EnableMouse(true)
		Acolyte_SoulKeeperButton:RegisterForDrag("LeftButton")
		Acolyte_SoulKeeperButton:RegisterForClicks("LeftButtonDown")
		Acolyte_SoulKeeperButton:SetScale(AcolyteDB.Scale)
			Acolyte_SoulKeeperButtonTexture = Acolyte_SoulKeeperButton:CreateTexture(nil,"HIGH")
		Acolyte_SoulKeeperButtonTexture:SetTexture("Interface\\AddOns\\Acolyte\\Images\\SoulKeeper")
		Acolyte_SoulKeeperButtonTexture:SetAllPoints(Acolyte_SoulKeeperButton)
		Acolyte_SoulKeeperButton.texture = Acolyte_SoulKeeperButtonTexture
		Acolyte_SoulKeeperButton:SetPoint("CENTER",Acolyte:getParent(ButtonsCreated, lastParent),"CENTER",LayoutPosition[ButtonsCreated].x,LayoutPosition[ButtonsCreated].y)

		-- Fontstring der die Anzahl an beigefhrten Shards anzeigt
		-- lila = ber 10 shards, rot = unter 10 shards
		Acolyte_SoulKeeperButton_Text = Acolyte_SoulKeeperButton:CreateFontString(nil, "ARTWORK", "NumberFontNormal")
		Acolyte_SoulKeeperButton_Text:SetJustifyH("LEFT")
		Acolyte_SoulKeeperButton_Text:SetPoint("TOPRIGHT", Acolyte_SoulKeeperButton, "TOPRIGHT", -5, -10)
		Acolyte_SoulKeeperButton_Text:SetText(AcolyteDB.ShardCountBag)
		Acolyte_SoulKeeperButton_Text:SetTextColor(0.81,0.19,1.23) --@note: epic purple

		Acolyte_SoulKeeperButton:Show()
		
		--@note: before the click a spell will be bound to the button
		if (Acolyte:PlayerHasSpell(AcoLoc.DrainSoul)) then
			Acolyte_SoulKeeperButton:SetScript("PreClick", function(self)
				if (not UnitAffectingCombat("player")) then
					self:SetAttribute("type1", "spell");
					self:SetAttribute("spell1", AcoLoc.DrainSoul);
				end
			end);
		end
		
		lastParent = Acolyte_SoulKeeperButton
		ButtonsCreated = ButtonsCreated + 1

		-- OnLoad die Shards zhlen
		Acolyte:GetShardCountBag()
	end

	Acolyte:CreateNightFall()
end


-- Aufgerufen wenn das Event "BAG_UPDATE" abgefeuert wird (AceEvent-2.0)
function Acolyte:BAG_UPDATE()
	Acolyte:GetShardCountBag()
end


function Acolyte:GetShardCountBag()
AcolyteDB.ShardCountBag = 0;
for bagBag=0,4 do
    for bagSlot=1,GetContainerNumSlots(bagBag) do
        if (GetContainerItemLink(bagBag,bagSlot)) then
            if (string.find(GetContainerItemLink(bagBag,bagSlot), "6265")) then -- 6265 = Soul Shard ID
                AcolyteDB.ShardCountBag = AcolyteDB.ShardCountBag + 1
            end
        end
    end
end

if (AcolyteDB.ShardCountBag <= AcolyteDB.NumberOfShardsToWarn) then 
	Acolyte_SoulKeeperButton_Text:SetTextColor(1,0,0)
		if (AcolyteDB.OutOfShardMsg == true) then
			RaidWarningFrame:AddMessage(AcoLoc.YourarerunningoutofShardspleaserefillsoon)
		end
else 
	Acolyte_SoulKeeperButton_Text:SetTextColor(0.81,0.19,1.23)
end

Acolyte_SoulKeeperButton_Text:SetText(AcolyteDB.ShardCountBag)
end 